Page MenuHomePhabricator

Release 5.7.0 (1247)
Closed, ResolvedPublic

Description

Release version: 5.7.0 (1247)
Release tag: releases/5.7.0
Release SHA1: 043add4e436948f9ff28bbfa7e4bcf68a13795fc
App Store Submission Date: 10/24/2017
App Store Approval Date: 10/25/2017
App Store Release Date: 10/26/2017
Regression Testing URL: See subtask


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Add notice tags
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l

Event Timeline

JMinor created this task.Oct 13 2017, 10:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2017, 10:49 PM
Josve05a updated the task description. (Show Details)
Josve05a updated the task description. (Show Details)
JMinor renamed this task from Release 5.7.0 (1245) to Release 5.7.0 (1247).Oct 24 2017, 10:22 PM
JMinor added a project: Notice.
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Oct 30 2017, 10:13 PM
JMinor closed this task as Resolved.Oct 30 2017, 10:24 PM